Bug 618812

Summary: Samsung Laptop Screen Brightness Is Unresponsive
Product: [Fedora] Fedora Reporter: Jordan_ad
Component: kernelAssignee: John Feeney <jfeeney>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: anton, dcantrell, dougsland, gansalmon, germano.massullo, herrold, itamar, jonathan, kernel-maint, madhu.chinakonda, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-29 08:53:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jordan_ad 2010-07-27 15:18:50 EDT
Description of problem:
Because Samsung laptops are relatively new, they do not have drivers that support the control of screen brightness.  Therefore, screen brightness stays at %100 all the time.

Version-Release number of selected component (if applicable):
Laptop used in scenario is a Samsung Q430-11, but problem appears to be Samsung laptop universal.

How reproducible:
Constant.  Once laptop is booted up the problem is already active.

Steps to Reproduce:
1.  Turn on laptop and login
2.  Use toggles or any other option to try and reduce screen brightness
3.  No response...
  
Actual results:
%100 brightness

Expected results:
Laptop's screen should dim

Additional info:
Problem seems to affect all Samsung laptops.  Although I have heard stories of people fixing the problem by adjusting one of the core power options.  Not sure how...
Comment 1 Chuck Ebbert 2010-08-01 05:24:14 EDT
I believe this is a udev bug. The keymap does not include the brightness up/down keys...
Comment 2 Jordan_ad 2010-08-02 11:37:39 EDT
That's what I thought at first, but even alternative brightness controls don't have any affect.  Such as the screenbrightness applet or screenlet.  Even the brightness control in the power options is unusable.  So, udev might be part of the problem but it's not the source.
Comment 3 Germano Massullo 2011-01-25 06:47:40 EST
I can confirm the bug on Fedora 14
Comment 4 Jordan_ad 2011-01-25 10:50:22 EST
Actually, the problem has gotten worse since Fedora 14. Now, not only do the brightness controls not work, but Fedora actually locks up. Making it so that the brightness icon keeps flashing on the screen and the keyboard stops working. At this point I can no longer use the taskbar either...  I'm starting to think this is also a bug in the udev's loop.
Comment 5 Bug Zapper 2011-06-01 08:42:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 08:53:31 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Germano Massullo 2011-06-29 09:04:18 EDT
Is this bug still on Fedora 15?